[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#520025: soundserver: Artsd / soundserver locks up my AMD64 machine on the way in.

Package: libarts1c2a
Version: 1.5.9-2+b1
Severity: grave
File: soundserver
Justification: renders package unusable

First, I must note that this problem relates to my AMD64 machine, which has been so severely disrupted that I can no longer use it.

First, this problem happened on my last software upgrade.

Second, it takes the form of a constantly-recurring fatal error message that says that soundserver failed to initialize, or load, or words to that effect. The biggest problem is in connection with the fact that the system simply cannot "give up" -- it 
retries to load the soundserver at least every three seconds until it runs out of memory. Mu system has 2 GB of memory, which means that it can stack up 230 iterations of the procedure.

I would doubtless try to reinstall Debian on the machine, except that (a) I have no guarantee that it would make any improvement, and (b) I want you to have a chance to debug it first.

I hopw you can debug it.

N.B.: This machine has had trouble running either gnash or Adobe Flash software for months now. I cannot help but wonder whether this failure is related to that problem or not.

-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libarts1c2a depends on:
ii  libartsc0                 1.5.9-2+b1     aRts sound system C support librar
ii  libasound2                1.0.16-2       ALSA library
ii  libaudio2                 1.9.1-5        Network Audio System - shared libr
ii  libaudiofile0             0.2.6-7        Open-source version of SGI's audio
ii  libc6                     2.7-18         GNU C Library: Shared libraries
ii  libesd0                   0.2.36-3       Enlightened Sound Daemon - Shared 
ii  libgcc1                   1:4.3.3-3      GCC support library
ii  libglib2.0-0              2.16.6-1       The GLib library of C routines
ii  libjack0                  0.116.1-3      JACK Audio Connection Kit (librari
ii  libmad0                   0.15.1b-4      MPEG audio decoder library
ii  libqt3-mt                 3:3.3.8b-5+b1  Qt GUI Library (Threaded runtime v
ii  libstdc++6                4.3.3-3        The GNU Standard C++ Library v3
ii  libvorbis0a               1.2.0.dfsg-3.1 The Vorbis General Audio Compressi
ii  libvorbisfile3            1.2.0.dfsg-3.1 The Vorbis General Audio Compressi
ii  libx11-6                  2:1.1.5-2      X11 client-side library
ii  oss-compat                0.0.4+nmu2     OSS compatibility package

Versions of packages libarts1c2a recommends:
ii  libarts1-akode                4:3.5.9-3  akode plugin for aRts

libarts1c2a suggests no packages.

-- no debconf information

Reply to: